﻿using System;

namespace David.Academy.ProgrammingInCSharp.AddressBook
{
	class AddressBook
	{
		private readonly AddressEntry[] _entries;

		public AddressBook(int size)
		{
			_entries = new AddressEntry[size];
		}

		public AddressEntry AddEntry()
		{
			for (int i = 0; i < _entries.Length; i++)
			{
				if (_entries[i] == null)
				{
					_entries[i] = new AddressEntry();
					_entries[i].InputFromConsole();
					return _entries[i];
				}
			}
			throw new InvalidOperationException("Адресната книга е пълна.");
		}

		public void PrintAllEntries()
		{
			foreach (AddressEntry entry in _entries)
			{
				if (entry != null)
				{
					entry.PrintToConsole();
					Console.WriteLine();
				}
			}
		}
	}
}
