﻿using System;

namespace David.Academy.ProgrammingInCSharp.AddressBook
{
	class Program
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Въведете размер на адресната книга: ");
			int size = 0;
			while (size <= 0)
			{
				string input = Console.ReadLine();
				if (!int.TryParse(input, out size))
					size = 0;
			}

			AddressBook book = new AddressBook(size);
			int option;
			do
			{
				option = -1;
				while (option < 0 || option > 2)
				{
					Console.WriteLine("0 - Изход");
					Console.WriteLine("1 - Изпечатване на адресната книга");
					Console.WriteLine("2 - Въвеждане на нов ред");
					string input = Console.ReadLine();
					if (!int.TryParse(input, out option))
						option = -1;
				}

				try
				{
					switch (option)
					{
						case 1:
							book.PrintAllEntries();
							break;
						case 2:
							book.AddEntry();
							break;
					}
				}
				catch (Exception ex)
				{
					Console.WriteLine(ex.Message);
				}

				Console.WriteLine();
			}
			while (option != 0);
		}
	}
}
