﻿using System;

namespace David.Academy.ProgrammingInCSharp.Arrays
{
	class Program
	{
		static void Main(string[] args)
		{
			int[] myIntegerArray = new int[5];

			string[] myStringArray = 
			{
				"DAVID",
				"Academy",
				"2013",
			};

			string[] myStringArray2 = new string[3];
			myStringArray2[0] = "DAVID";
			myStringArray2[1] = "Academy";
			myStringArray2[2] = "2013";

			int[] myIntegerArray2 = new int[50];
			for (int i = 0; i < myIntegerArray2.Length; i++)
			{
				myIntegerArray2[i] = i * 2;
			}

			for (int i = 0; i < myIntegerArray2.Length; i++)
			{
				int value = myIntegerArray2[i];
				Console.WriteLine(value);
			}

			foreach (int value in myIntegerArray2)
			{
				Console.WriteLine(value);
			}

			int[] myIntegerArray2Copy = (int[])myIntegerArray2.Clone();

			int[] myIntegerArray2Half = new int[myIntegerArray2.Length / 2];
			Array.Copy(myIntegerArray2, myIntegerArray2Half, myIntegerArray2Half.Length);

			int[, ,] myIntegerCube = new int[3, 3, 3];

			int[, ,] myIntegerCube2 =
			{
				{
					{1,1,1},
					{2,2,2},
					{3,3,3},
				},
				{
					{1,1,1},
					{2,2,2},
					{3,3,3},
				},
				{
					{1,1,1},
					{2,2,2},
					{3,3,3},
				},
			};

			for (int x = 0; x < myIntegerCube2.GetLength(0); x++)
			{
				for (int y = 0; y < myIntegerCube2.GetLength(0); y++)
				{
					for (int z = 0; z < myIntegerCube2.GetLength(0); z++)
					{
						myIntegerCube2[x, y, z] = new Random().Next(int.MaxValue);
					}
				}
			}
		}
	}
}
