﻿namespace David.Academy.ProgrammingInCSharp.CelestialBodies
{
	class Planet : CelestialBody
	{
		public Planet(
			string name, double mass, double volume, Shape shape,
			Star star, double radius, bool isInhabited,
			bool hasSatellites)
			: base(name, mass, volume, shape)
		{
			Star = star;
			Radius = radius;
			IsInhabited = isInhabited;
			HasSatellites = hasSatellites;
		}

		public Star Star { get; private set; }

		public double Radius { get; private set; }

		public bool IsInhabited { get; private set; }

		public bool HasSatellites { get; private set; }
	}
}
