﻿namespace David.Academy.ProgrammingInCSharp.CelestialBodies
{
	class Satellite : CelestialBody
	{
		public Satellite(
			string name, double mass, double volume, Shape shape,
			CelestialBody mainBody, double distance)
			: base(name, mass, volume, shape)
		{
			MainBody = mainBody;
			Distance = distance;
		}

		public CelestialBody MainBody { get; private set; }

		public double Distance { get; private set; }
	}
}
