﻿using System;

namespace David.Academy.ProgrammingInCSharp.ConsoleIO
{
	class Program
	{
		static void Main(string[] args)
		{
			string line;

			// издава системен звук
			//Console.Beep();

			// подканваме потребителя да въведе името си
			// (разпечатване на литерал)
			Console.Write("Име: ");

			// изчитаме името на потребителя от клавиатурата
			// (изчитане на низ)
			line = Console.ReadLine();
			string name = line;

			Console.Write("Възраст: ");

			// подканваме потребителя да въведе възрастта си
			// (изчитане на цяло число)
			line = Console.ReadLine();
			uint age;
			bool isOk = uint.TryParse(line, out age);
			if (isOk)
			{
				#region Глупави начини

				Console.WriteLine("Вие въведохте:");

				// глупавият начин
				Console.Write("Име: ");
				Console.WriteLine(name);

				// малко по-малко глупав начин
				Console.WriteLine("Възраст: " + age);

				#endregion

				#region Умен начин

				// Валери....|..30
				// Иван......|..15
				// Петкан....|..50
				// Драган....|.120
				Console.WriteLine("{0,-30} | {1,4} | {2,-15:d} |",
					name, age, DateTime.Now);
				Console.WriteLine("{0,-30} | {1,4} | {2,-15:d} |",
					name, age, DateTime.Now);
				Console.WriteLine("{0,-30} | {1,4} | {2,-15:d} |",
					name, age, DateTime.Now);
				Console.WriteLine("{0,-30} | {1,4} | {2,-15:d} |",
					name, age, DateTime.Now);

				#endregion
			}
			else
			{
				Console.WriteLine("Пич, к'во пишеш?!");
			}

			Console.Write("Натиснете клавиш за изход...");

			// изчаква натискането на бутон
			// изчитане на символ БЕЗ изчакване на [Enter]
			ConsoleKeyInfo info = Console.ReadKey();

			// изчитане на символ СЪС изчакване на [Enter]
			//Console.Read();
		}
	}
}
