﻿namespace David.Academy.ProgrammingInCSharp.Generics
{
	class BinaryTreeNode<T>
		where T : Animal
	{
		public T Value { get; set; }

		public BinaryTreeNode<T> Left { get; set; }

		public BinaryTreeNode<T> Right { get; set; }

		public override string ToString()
		{
			return string.Format("{0} ({1}, {2})",
				Value,
				Left ?? (object)"null",
				Right ?? (object)"null");
		}

		public string GetSpecies()
		{
			if (Value == null)
				return null;
			else
				return Value.Species;
		}
	}
}
