﻿using System;

namespace David.Academy.ProgrammingInCSharp.Generics
{
	class Program
	{
		static void Main(string[] args)
		{
			//BinaryTreeNode<Animal> tree = new BinaryTreeNode<Animal>();
			//tree.Value = new Animal("Cow");
			//tree.Left = new BinaryTreeNode<Animal>();
			//tree.Left.Value = new Animal("Chicken");
			//tree.Right = new BinaryTreeNode<Animal>();
			//tree.Right.Value = new Animal("Pig");
			//tree.Right.Left = new BinaryTreeNode<Animal>();
			//tree.Right.Left.Value = new Animal("Sheep");

			//BinaryTreeNode<int> tree = new BinaryTreeNode<int>();
			//tree.Value = 1;
			//tree.Left = new BinaryTreeNode<int>();
			//tree.Left.Value = 2;
			//tree.Right = new BinaryTreeNode<int>();
			//tree.Right.Value = 3;
			//tree.Right.Left = new BinaryTreeNode<int>();
			//tree.Right.Left.Value = 4;

			BinaryTreeNode<Cat> tree = new BinaryTreeNode<Cat>();
			tree.Value = new Cat();
			tree.Left = new BinaryTreeNode<Cat>();
			tree.Left.Value = new Cat();
			tree.Right = new BinaryTreeNode<Cat>();
			tree.Right.Value = new Cat();
			tree.Right.Left = new BinaryTreeNode<Cat>();
			tree.Right.Left.Value = new Cat();

			Console.WriteLine(tree);

			int[] numbers = new int[3];
			numbers[0] = 45;
			numbers[1] = 3;
			numbers[2] = 7;
			BubbleSort(numbers);
			double[] realNumbers =
				ConvertItems<int, double>(numbers);
			foreach (double realNumber in realNumbers)
			{
				Console.WriteLine(realNumber);
			}

			Console.ReadLine();
		}

		public static void BubbleSort<T>(T[] array)
			where T : IComparable
		{
			//
		}

		public static U[] ConvertItems<T, U>(T[] array)
		{
			var result = new U[array.Length];
			for (int i = 0; i < array.Length; i++)
			{
				result[i] =
					(U)Convert.ChangeType(array[i], typeof(U));
			}
			return result;
		}
	}
}
