﻿using System;

namespace David.Academy.ProgrammingInCSharp.Library
{
	public class BookContent
	{
		public string Genre;
		public int PageCount;
		public bool HasIllustrations;

		public BookContent(string genre, int pageCount)
		{
			Genre = genre;
			PageCount = pageCount;
			HasIllustrations = false;
		}

		public BookContent(
			string genre, int pageCount,
			bool hasIllustrations)
		{
			Genre = genre;
			PageCount = pageCount;
			HasIllustrations = hasIllustrations;
		}

		public void InputFromConsole()
		{
			Console.Write("Book genre: ");
			Genre = Console.ReadLine();
			Console.Write("Number of pages: ");
			PageCount = int.Parse(Console.ReadLine());
			Console.Write("Book has illustrations (true/false)? ");
			HasIllustrations = bool.Parse(Console.ReadLine());
		}

		public void PrintToConsole()
		{
			Console.WriteLine(
				"{0}, {1} страници, илюстрации: {2}",
				Genre,
				PageCount,
				HasIllustrations);
		}
	}
}
