﻿using System;

namespace David.Academy.ProgrammingInCSharp.MemberOverloading
{
	class MyValue
	{
		public int Value { get; set; }

		public MyValue(int value)
		{
			Value = value;
		}

		public static implicit operator int(MyValue value)
		{
			return value.Value;
		}

		public static implicit operator double(MyValue value)
		{
			return value.Value;
		}

		public static implicit operator MyOtherValue(MyValue value)
		{
			return new MyOtherValue();
		}

		public static implicit operator MyThirdValue(MyValue value)
		{
			return new MyThirdValue();
		}
	}

	class MyOtherValue
	{
	}

	class MyThirdValue
	{
	}

	class Program
	{
		static void Main(string[] args)
		{
			Calculator calculator = new Calculator();
			calculator.Sum(3, 5);
			calculator.Sum(1.3, 2.7);
			calculator.Sum(1.3, (double)10);
			// компилаторът не може да разбере кой метод точно се опитва да извика потребителят
			//calculator.Sum(new MyValue(3), new MyValue(7));

			Console.ReadLine();
		}
	}
}
