﻿using System;

namespace David.Academy.ProgrammingInCSharp.MemberOverriding
{
	abstract class Animal : INamedObject
	{
		public Animal(string name)
		{
			Name = name;
		}

		public string Name { get; set; }

		public virtual string Food
		{
			get { return "Food"; }
		}

		public abstract void MakeSound();

		public override string ToString()
		{
			return string.Format("{0} is a {1} and it eats {2}.", Name, GetType().Name, Food);
		}

		public void PrintFood()
		{
			Console.WriteLine("The animal eats {0}", Food);
		}
	}
}
